> Tychron Atlas API & Provisioning Reference — chapter 29 of 35 as Markdown. Web version: https://docs.tychron.com/api-reference/shared-resource-groups/
> Source: https://docs.tychron.com/api-reference/ · Updated 2026-08-12 · Generated from the Atlas OpenAPI spec (https://api.atlas.tychron.online/api/v1/openapi is the live contract; this file is a dated snapshot of it).
> Source revision: atlas_api_reference_2026-08-12.md · sha256 482ebd3b014af053 · sanitize gate v1 clean · reconciled with OpenAPI 2026.8.25-p01 (spec sha256 cc049ef38c71cd6e) on 2026-09-05 · content last modified 2026-09-09 · newer definition under review since 2026-09-09 (not yet reconciled)
> Scope: the Atlas platform API only. The SMS, MMS, CNAM, LRN and MCL services are separate APIs with their own specifications: https://docs.tychron.com/openapi/
> Machine index: https://docs.tychron.com/llms.txt

# Shared Resource Groups

Shared Resource Groups are a specialized "resource" sharing mechanism, in other words, it allows accounts to donate their CSP Campaigns to other accounts (only campaigns at the moment).

This allows the "donee" account to utilize these resources as if they were their own, however the "donee" account can neither remove or change the donated records.

## Schema

A Shared Resource Group

__Type__ Object

| Name          | Type                     | Description                            |
| ------------- | ------------------------ | -------------------------------------- |
| `id`          | String(format:uuid)      | [Desc. `id`](https://docs.tychron.com/api-reference/shared-resource-groups/#desc-407)                |
| `inserted_at` | String(format:date-time) | An ISO8601 formatted timestamp         |
| `name`        | String                   | The display name of the resource group |
| `notes`       | String                   | [Desc. `notes`](https://docs.tychron.com/api-reference/shared-resource-groups/#desc-408)             |
| `updated_at`  | String(format:date-time) | An ISO8601 formatted timestamp         |

#### Desc. `id` {#desc-407}

A Universally unique identifier, which identifies the resource

#### Desc. `notes` {#desc-408}

Any additional notes about the shared resource group.



__Example__

```json
{
  "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
  "inserted_at": "2021-08-13T04:08:44.762841Z",
  "name": "ACME Corp Shared Resources",
  "notes": "",
  "updated_at": "2021-08-13T04:08:44.762841Z"
}
```


## Summary

## API

### List Shared Resource Groups

```http
GET /api/v1/shared_resource_groups HTTP/1.1
```

Retrieve a list of shared resource groups assigned to the parent account


__Query Parameters__

| Name   | Type    | Description                     |
| ------ | ------- | ------------------------------- |
| first  | Integer | [Query Desc. first](https://docs.tychron.com/api-reference/shared-resource-groups/#desc-409)  |
| last   | Integer | [Query Desc. last](https://docs.tychron.com/api-reference/shared-resource-groups/#desc-410)   |
| after  | String  | [Query Desc. after](https://docs.tychron.com/api-reference/shared-resource-groups/#desc-411)  |
| before | String  | [Query Desc. before](https://docs.tychron.com/api-reference/shared-resource-groups/#desc-412) |

#### Query Desc. first {#desc-409}

The number of items to return starting from the 'after' cursor

#### Query Desc. last {#desc-410}

The number of items to return behind the 'before' cursor

#### Query Desc. after {#desc-411}

The cursor representing the starting point of a 'first' based paging

#### Query Desc. before {#desc-412}

The cursor representing the starting point of a 'last' based paging

#### Request

```http
GET /api/v1/shared_resource_groups HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 666
```

```json
{
  "count": 1,
  "page_info": {
    "first": "string",
    "has_next_page": true,
    "has_previous_page": true,
    "last": "string"
  },
  "results": [
    {
      "associations": {
        "account": {
          "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48"
        },
        "donee": {
          "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48"
        }
      },
      "data": {
        "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
        "inserted_at": "2021-08-13T04:08:44.762841Z",
        "name": "ACME Corp Shared Resources",
        "notes": "",
        "updated_at": "2021-08-13T04:08:44.762841Z"
      },
      "type": "shared_resource_group"
    }
  ]
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### Get Shared Resource Group

```http
GET /api/v1/shared_resource_groups/{id} HTTP/1.1
```

Lookup a shared resource group by ID


__Path Parameters__

| Name | Type                 | Description |
| ---- | -------------------- | ----------- |
| id   | String(format:uuid)! | User ID     |

#### Request

```http
GET /api/v1/shared_resource_groups/{id} HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 433
```

```json
{
  "associations": {
    "account": {
      "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48"
    },
    "donee": {
      "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48"
    }
  },
  "data": {
    "id": "c6be45e4-b7dd-412c-96c4-777e83fb9c48",
    "inserted_at": "2021-08-13T04:08:44.762841Z",
    "name": "ACME Corp Shared Resources",
    "notes": "",
    "updated_at": "2021-08-13T04:08:44.762841Z"
  },
  "type": "shared_resource_group"
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```
#### Response 404

##### application/json

```http
HTTP/1.1 404
Content-Type: application/json
Content-Length: 314
```

```json
{
  "errors": [
    {
      "code": "not_found",
      "detail": "The specified resource could not be found",
      "params": {
        "resource": {
          "id": "3fbb573a-6049-44a0-a12c-d3a1ffae0b69",
          "type": "user"
        }
      },
      "sub_code": "none",
      "title": "Not Found"
    }
  ]
}
```


## Shared Resource Groups - Notes

At the moment, the client is not able to create or delete shared resource groups, since this is a very specific binding between different accounts they must be setup by a system administrator.

---

Previous chapter: https://docs.tychron.com/api-reference/csp-campaign-optout-items.md  
Next chapter: https://docs.tychron.com/api-reference/event-subscriptions.md  
Complete reference in one file: https://docs.tychron.com/llms-full.txt
